[arch-commits] Commit in gegl/repos (3 files)

Eric Belanger eric at archlinux.org
Mon Oct 20 00:34:09 EDT 2008


    Date: Monday, October 20, 2008 @ 00:34:09
  Author: eric
Revision: 16020

Merged revisions 16019 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gegl/trunk

........
  r16019 | eric | 2008-10-20 00:33:41 -0400 (Mon, 20 Oct 2008) | 2 lines
  
  upgpkg: gegl 0.0.20-1
      Upstream update, Added ruby makedepends, Fixed license, Fixed ffmpeg header file location (close FS#11738)
........

Modified:
  gegl/repos/extra-x86_64/	(properties)
  gegl/repos/extra-x86_64/ChangeLog
  gegl/repos/extra-x86_64/PKGBUILD

-----------+
 ChangeLog |    8 ++++++++
 PKGBUILD  |   10 ++++++----
 2 files changed, 14 insertions(+), 4 deletions(-)


Property changes on: gegl/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /gegl/trunk:1-2983
   + /gegl/trunk:1-16019

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2008-10-20 04:33:41 UTC (rev 16019)
+++ extra-x86_64/ChangeLog	2008-10-20 04:34:09 UTC (rev 16020)
@@ -1,3 +1,11 @@
+2008-10-19  Eric Belanger  <eric at archlinux.org>
+
+	* gegl 0.0.20-1
+	* Upstream update
+	* Added ruby makedepends
+	* Fixed license
+	* Fixed ffmpeg header file location (close FS#11738)
+
 2008-06-16  Eric Belanger  <eric at archlinux.org>
 
 	* gegl 0.0.18-1

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-20 04:33:41 UTC (rev 16019)
+++ extra-x86_64/PKGBUILD	2008-10-20 04:34:09 UTC (rev 16020)
@@ -3,20 +3,22 @@
 # Contributor: Charles-Henri d'Adhemar <cdadhemar at gmail.com>
 
 pkgname=gegl
-pkgver=0.0.18
+pkgver=0.0.20
 pkgrel=1
 pkgdesc="Graph based image processing framework"
 arch=('i686' 'x86_64')
 url="http://www.gegl.org/"
-license=('LGPL3')
+license=('GPL3' 'LGPL3')
 depends=('babl>=0.0.22' 'libpng' 'gtk2')
+makedepends=('ruby')
 options=('!libtool')
 source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('e458409440a7b51f446df321c3657e4d')
-sha1sums=('f8113ad33161337eb107ad84c0ac968dca1d02d2')
+md5sums=('2e1f97ec8abd9a4a21f458b43799bff2')
+sha1sums=('37be399b58d50a87134f2dfad389a476e1155874')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
+  sed -i 's|#include <ffmpeg/avformat.h>|#include <libavformat/avformat.h>|' operations/external/ff-load.c || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${pkgdir} install || return 1




More information about the arch-commits mailing list